package com.gyee.alarm.service.auto.impl;

import com.gyee.alarm.model.auto.ProEconEarlyReportWt;
import com.gyee.alarm.mapper.auto.ProEconEarlyReportWtMapper;
import com.gyee.alarm.service.auto.IProEconEarlyReportWtService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.gyee.alarm.util.StringUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;

/**
 * <p>
 * 设备预警报告 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2023-09-05
 */
@Service
public class ProEconEarlyReportWtServiceImpl extends ServiceImpl<ProEconEarlyReportWtMapper, ProEconEarlyReportWt> implements IProEconEarlyReportWtService {

    @Resource
    private  ProEconEarlyReportWtMapper proEconEarlyReportWtMapper;

    public List<ProEconEarlyReportWt> findByReportId(String reportId)
    {
        List<ProEconEarlyReportWt> ls=new ArrayList<>();
        if(StringUtils.notEmp(reportId))
        {
            ls= proEconEarlyReportWtMapper.findByReportId(reportId);
        }
       return ls;
    }


    public List<ProEconEarlyReportWt> findByIds(List<String> idList)
    {
        List<ProEconEarlyReportWt> ls=new ArrayList<>();
        if(StringUtils.notEmp(idList))
        {
            ls= proEconEarlyReportWtMapper.findByIds(idList);
        }
        return ls;
    }


    public List<ProEconEarlyReportWt> findByReportIds( List<String> reportIdList)
    {
        List<ProEconEarlyReportWt> ls=new ArrayList<>();
        if(StringUtils.notEmp(reportIdList))
        {
            ls= proEconEarlyReportWtMapper.findByReportIds(reportIdList);
        }
        return ls;
    }

}
